Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.acl
Class PermissionImpl

    java.lang.Object
      |
      +--weblogic.security.acl.PermissionImpl

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by the rules-based Authorization Provider in the Pluggable Security Infrastructure.

public final class PermissionImpl
extends java.lang.Object
implements java.security.acl.Permission, java.io.Serializable

A straightforward implementation of the Permission interface, which represents a permission, such as that used to grant a particular type of access to a resource.

Author:
  Copyright (c) 19970-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`PermissionImpl(java.lang.String name)` Deprecated. Creates a permission of that name.

Method Summary
`boolean` | `equals(java.lang.Object other)` Deprecated. Determines whether the object passed matches the permission represented in this interface.
`java.lang.String` | `getName()` Deprecated. Returns the name of a Permission.
`int` | `hashCode()` Deprecated. Returns a hashcode for a Permission.
`java.lang.String` | `toString()` Deprecated. Prints a string representation of this permission.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PermissionImpl

    public PermissionImpl(java.lang.String name)

  Deprecated.
  Creates a permission of that name.

  Parameters:
    `name` - Name assigned to the permission

Method Detail

### equals

    public boolean equals(java.lang.Object other)

  Deprecated.
  Determines whether the object passed matches the permission represented in this interface.
  Specified by:
    equals in interface java.security.acl.Permission

  Parameters:
    `other` - Permission object to compare with
  Returns:
    true if the Permission objects are equal
  Overrides:
    equals in class java.lang.Object

### hashCode

    public int hashCode()

  Deprecated.
  Returns a hashcode for a Permission.

  Returns:
    Hashcode
  Overrides:
    hashCode in class java.lang.Object

### toString

    public java.lang.String toString()

  Deprecated.
  Prints a string representation of this permission.
  Specified by:
    toString in interface java.security.acl.Permission

  Returns:
    String representation
  Overrides:
    toString in class java.lang.Object

### getName

    public java.lang.String getName()

  Deprecated.
  Returns the name of a Permission.

  Returns:
    Name assigned to the permission

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference